#!/bin/sh
######################################################################
##   Copyright (C) International Business Machines  Corp., 2003
##
##   This program is free software;  you can redistribute it and/or modify
##   it under the terms of the GNU General Public License as published by
##   the Free Software Foundation; either version 2 of the License, or
##   (at your option) any later version.
##
##   This program is distributed in the hope that it will be useful,
##   but WITHOUT ANY WARRANTY;  without even the implied warranty of
##   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See
##   the GNU General Public License for more details.
##
##   You should have received a copy of the GNU General Public License
##   along with this program;  if not, write to the Free Software
##   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
##
##
##
##  FILE   : setup_date.sh
##
##  PURPOSE: To verify that the date of the system is set so as to allow
##           the certificate verification to succeed in the OpenSSL test.
##          
##
##  HISTORY:
##    10/03 Originated by Michael A. Halcrow <mike@halcrow.us>
##
######################################################################

rm -f date.txt
CURTIME=`date +%s`
if test ${CURTIME} -lt 60000;
then
	echo Bad time; changing for the test
	date +%m%d%H%M%Y > date.txt
	date 102419002003
else
	/bin/true;
fi;

if test ${CURTIME} -gt 1452850380;
then
	echo Bad time; changing for the test
	date +%m%d%H%M%Y > date.txt
	date 102419002003
else
	/bin/true;
fi;

